Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.server
Class JNIResponseAdapter

    java.lang.Object
      org.apache.tomcat.core.Response
          org.apache.tomcat.modules.server.JNIResponseAdapter

public class JNIResponseAdapter
extends Response

Field Summary

Fields inherited from class org.apache.tomcat.core.Response
`characterEncoding, commited, contentLanguage, contentType, DEFAULT_CHAR_ENCODING, DEFAULT_CONTENT_TYPE, DEFAULT_LOCALE, errorException, errorURI, haveCharacterEncoding, headers, included, locale, LOCALE_DEFAULT, oBuffer, request, responseFacade, sm, status, usingStream, usingWriter`

Constructor Summary
`JNIResponseAdapter(JNIConnectionHandler h)`

Method Summary
`void` | `doWrite(byte[] buf, int pos, int count)` Write a chunk of bytes.
`void` | `endHeaders()` Signal that we're done with the headers, and body will follow.
`protected void` | `setRequestAttr(long s, long l)`

Methods inherited from class org.apache.tomcat.core.Response
`addHeader, clientFlush, containsHeader, finish, flushBuffer, getBuffer, getBufferSize, getCharacterEncoding, getCharacterEncoding, getContentLength, getContentType, getErrorException, getErrorURI, getFacade, getLocale, getMimeHeaders, getRequest, getStatus, init, isBufferCommitted, isExceptionPresent, isIncluded, isUsingStream, isUsingWriter, notifyEndHeaders, recycle, reset, resetBuffer, setBufferCommitted, setBufferSize, setContentLength, setContentType, setErrorException, setErrorURI, setFacade, setHeader, setIncluded, setLocale, setRequest, setStatus, setUsingStream, setUsingWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNIResponseAdapter

    public JNIResponseAdapter(JNIConnectionHandler h)

Method Detail

### setRequestAttr

    protected void setRequestAttr(long s,
                                  long l)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### endHeaders

    public void endHeaders()
                    throws java.io.IOException

  Description copied from class: `Response`
  Signal that we're done with the headers, and body will follow. Any implementation needs to notify ContextManager, to allow interceptors to fix headers.

  Overrides:
    `endHeaders` in class `Response`
  Throws:
    `java.io.IOException`

### doWrite

    public void doWrite(byte[] buf,
                        int pos,
                        int count)
                 throws java.io.IOException

  Description copied from class: `Response`
  Write a chunk of bytes. Should be called only from ServletOutputStream implementations, No need to implement it if your adapter implements ServletOutputStream. Headers and status will be written before this method is exceuted.

  Overrides:
    `doWrite` in class `Response`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.